Search:  
Gentoo Wiki

OTRS

OTRS is an Open source Ticket Request System (also well known as trouble ticket system) with many features to manage customer telephone calls and e-mails. The system is built to allow your support, sales, pre-sales, billing, internal IT, helpdesk, etc. department to react quickly to inbound inquiries. Do you receive many e-mails and want to answer them with a team of agents? You're going to love the OTRS!

It is distributed under the http://www.gnu.org/copyleft/gpl.txt [GNU General Public License (GPL)] and tested on Linux, Solaris, AIX, FreeBSD, OpenBSD, Mac OS 10.x and Windows.

The ((otrs)) company provides commercial services (e.g. support, consulting, training, pre-build-systems, etc.) for the OTRS (English and German).

Try our demo system to get an impression of this kind of magic.

Homepage: http://otrs.org/


Contents

Install Instructions

emerge otrs


Trouble Shooting

Emerge Error IN www-apache/libapreq2-2.08-r2

creating test_cgi make[2]: Leaving directory `/var/tmp/portage/www-apache/libapreq2-2.08-r2/work/libapreq2-2.08/module' make[1]: Leaving directory `/var/tmp/portage/www-apache/libapreq2-2.08-r2/work/libapreq2-2.08/module' Making all in glue make[1]: Entering directory `/var/tmp/portage/www-apache/libapreq2-2.08-r2/work/libapreq2-2.08/glue' cd perl; perl Makefile.PL -apxs /usr/sbin/apxs2 Can't locate version.pm in @INC (@INC contains: /etc/perl /usr/lib/perl5/vendor_perl/5.8.8/i486-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl/5.8.8/i486-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib/perl5/5.8.8/i486-linux-thread-multi /usr/lib/perl5/5.8.8 /usr/local/lib/site_perl .) at /usr/lib/perl5/vendor_perl/5.8.8/Text/Balanced.pm line 13. BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.8/Text/Balanced.pm line 13. Compilation failed in require at /usr/lib/perl5/vendor_perl/5.8.8/Parse/RecDescent.pm line 9. BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.8/Parse/RecDescent.pm line 9. Compilation failed in require at /usr/lib/perl5/vendor_perl/5.8.8/ExtUtils/XSBuilder/ParseSource.pm line 9. BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.8/ExtUtils/XSBuilder/ParseSource.pm line 9. Compilation failed in require at Makefile.PL line 22. BEGIN failed--compilation aborted at Makefile.PL line 22.

Full output: pastebin

Fix

You need to emerge dev-perl/version This seems to be caused by a dependency bug in portage and can followed here(link coming soon).

Emerge Errors (Other)

I got some errors about ModPerl, apparently whenever perl gets update you should update all your perl modules on your system. I just reemerged mod_perl but I've been told that the perl-cleaner command is another option.

Retrieved from "http://www.gentoo-wiki.info/OTRS"

Last modified: Fri, 05 Sep 2008 22:35:00 +0000 Hits: 550